Index: /trunk/src/org/expeditee/encryption/Actions.java
===================================================================
--- /trunk/src/org/expeditee/encryption/Actions.java	(revision 1413)
+++ /trunk/src/org/expeditee/encryption/Actions.java	(revision 1414)
@@ -31,5 +31,5 @@
 public class Actions implements CryptographyConstants {
 	
-	public static void TestSurrogate(Item classic) {
+	public static void TestSurrogate(Item primary) {
 		System.out.println("Test surrogates: ");
 	}
Index: /trunk/src/org/expeditee/encryption/io/EncryptedExpReader.java
===================================================================
--- /trunk/src/org/expeditee/encryption/io/EncryptedExpReader.java	(revision 1413)
+++ /trunk/src/org/expeditee/encryption/io/EncryptedExpReader.java	(revision 1414)
@@ -14,4 +14,5 @@
 import java.util.Base64;
 import java.util.List;
+import java.util.function.BiConsumer;
 import java.util.function.Predicate;
 
@@ -30,4 +31,5 @@
 import org.expeditee.gui.FrameIO;
 import org.expeditee.io.Conversion;
+import org.expeditee.io.DefaultFrameWriter;
 import org.expeditee.io.ExpReader;
 import org.expeditee.items.Item;
@@ -122,10 +124,63 @@
 	}
 	
-	@Override
+//	@Override
+//	protected String readTheItems(Frame newFrame, List<DelayedAction> delayedActions) throws IOException {
+//		String next = null;
+//		Item currentItem = null;
+//		
+//		Predicate<String> endOfSection = s -> s.equals(EncryptedExpWriter.TERMINATOR + "") || s.equals(EncryptedExpWriter.TERMINATOR_WITH_CONTINUATION);
+//		while (_reader.ready() && !endOfSection.test(next = _reader.readLine())) {
+//			if (!isValidLine(next)) {
+//				continue;
+//			}
+//			
+//			String tag = getTagEnc(next);
+//			if (next.startsWith(DefaultFrameWriter.TYPE_AND_ID_STR + " ")) {
+//				currentItem = newItem(next);
+//				_linePoints.put(currentItem.getID(), currentItem);
+//				newFrame.addItem(currentItem);
+//				currentItem.setEncryptionDetailForTag(tag + "", EncryptionDetail.UnencryptedOnSave);
+//			} else if (next.startsWith("SurrogateFor")) {
+//				int parentID = Integer.parseInt(next.split(" ")[1]);
+//				newFrame.getItemWithID(parentID).addToSurrogates(currentItem);
+//				newFrame.addToSurrogates(currentItem);
+//			} else if (currentItem != null && actionShouldBeDelayed(tag.charAt(0))) { 
+//				delayedActions.add(new DelayedAction(currentItem, next));
+//			} else if (currentItem != null) {
+//				processBodyLine(currentItem, next);
+//			} else {
+//				System.err.println("Error while reading in frame (ExpReader): Found body line but no current item to apply it to.");
+//			}
+//		}
+//				
+//		if (next.equals(EncryptedExpWriter.TERMINATOR_WITH_CONTINUATION)) {
+//			next = readTheItems(newFrame, delayedActions);
+//		}
+//		
+//		return next;
+//	}
+	
 	protected String readTheItems(Frame newFrame, List<DelayedAction> delayedActions) throws IOException {
+		// Read the primary item.
+		BiConsumer<Item, String> addToBody = (item, line) -> newFrame.addItem(item);
+		String next = readLineAfterLine(false, addToBody, delayedActions);
+		
+		// Read the surrogate items.
+		if (next.equals(EncryptedExpWriter.TERMINATOR_WITH_CONTINUATION)) {
+			BiConsumer<Item, String> addToSurrogates = (item, line) -> {
+				int parentID = Integer.parseInt(line.split(" ")[1]);
+				newFrame.getItemWithID(parentID).addToSurrogates(item);
+				newFrame.addToSurrogates(item);
+			};
+			next = readLineAfterLine(true, addToSurrogates, delayedActions);
+		}
+		return next;
+	}
+	
+	private String readLineAfterLine(boolean isSurrogate, BiConsumer<Item, String> storeResult, List<DelayedAction> delayedActions) throws IOException {
 		String next = null;
 		Item currentItem = null;
 		
-		Predicate<String> endOfSection = s -> s.equals("Z") || s.equals("Z...");
+		Predicate<String> endOfSection = s -> s.equals(EncryptedExpWriter.TERMINATOR + "") || s.equals(EncryptedExpWriter.TERMINATOR_WITH_CONTINUATION);
 		while (_reader.ready() && !endOfSection.test(next = _reader.readLine())) {
 			if (!isValidLine(next)) {
@@ -134,12 +189,15 @@
 			
 			String tag = getTagEnc(next);
-			if (next.startsWith("S ")) {
+			if (next.startsWith(DefaultFrameWriter.TYPE_AND_ID_STR + " ")) {
 				currentItem = newItem(next);
 				_linePoints.put(currentItem.getID(), currentItem);
-				newFrame.addItem(currentItem);
+				if (!isSurrogate) {
+					storeResult.accept(currentItem, next);
+				}
 				currentItem.setEncryptionDetailForTag(tag + "", EncryptionDetail.UnencryptedOnSave);
 			} else if (next.startsWith("SurrogateFor")) {
-				int parentID = Integer.parseInt(next.split(" ")[1]);
-				newFrame.getItemWithID(parentID).addToSurrogates(currentItem);
+				if (isSurrogate) {
+					storeResult.accept(currentItem, next);
+				}
 			} else if (currentItem != null && actionShouldBeDelayed(tag.charAt(0))) { 
 				delayedActions.add(new DelayedAction(currentItem, next));
@@ -151,10 +209,34 @@
 		}
 		
-		if (next.equals(EncryptedExpWriter.SURROGATE_TERMINATOR)) {
-			next = readTheItems(newFrame, delayedActions);
-		}
-		
 		return next;
 	}
+ 	
+//	private String readLineAfterLine(Consumer<Item> storeResult, List<DelayedAction> delayedActions) throws IOException {
+//		String next = null;
+//		Item currentItem = null;
+//		
+//		Predicate<String> endOfSection = s -> {
+//			return s.equals(EncryptedExpWriter.TERMINATOR + "") || s.equals(EncryptedExpWriter.TERMINATOR_WITH_CONTINUATION);
+//		};
+//		while (_reader.ready() && !endOfSection.test(next = _reader.readLine())) {
+//			if (!isValidLine(next)) {
+//				continue;
+//			}
+//			
+//			String tag = getTagEnc(next);
+//			if (next.startsWith(DefaultFrameWriter.TYPE_AND_ID_STR + " ")) {
+//				currentItem = newItem(next);
+//				_linePoints.put(currentItem.getID(), currentItem);
+//				currentItem.setEncryptionDetailForTag(tag + "", EncryptionDetail.UnencryptedOnSave);
+//				storeResult.accept(currentItem);
+//			} else if (next.startsWith("SurrogateFor")) {
+//				int parentID = Integer.parseInt(next.split(" ")[1]);
+//				newFrame.getItemWithID(parentID).addToSurrogates(currentItem);
+//				new Delayed
+//			}
+//		}
+//		
+//		return next;
+//	}
 	
 	@Override
Index: /trunk/src/org/expeditee/encryption/io/EncryptedExpWriter.java
===================================================================
--- /trunk/src/org/expeditee/encryption/io/EncryptedExpWriter.java	(revision 1413)
+++ /trunk/src/org/expeditee/encryption/io/EncryptedExpWriter.java	(revision 1414)
@@ -44,5 +44,6 @@
 	private static final String labelProfile = "Profile";
 	private static final String labelNone = "None";
-	protected static final String SURROGATE_TERMINATOR = TERMINATOR + "...";
+	protected static final char TERMINATOR = 'Z';
+	protected static final String TERMINATOR_WITH_CONTINUATION = TERMINATOR + "...";
 
 	public EncryptedExpWriter(String encryptionLabel) {
@@ -132,5 +133,5 @@
 		
 		if (toWrite.isSurrogate()) {
-			writeLine("SurrogateFor " + toWrite.getClassic().getID());
+			writeLine("SurrogateFor " + toWrite.getPrimary().getID());
 		}
 		
@@ -177,4 +178,5 @@
 		}
 		
+		// write out the surrogates
 		List<Item> surrogates = frame.getSurrogateItemsToSave();
 		if (!surrogates.isEmpty()) {
@@ -242,5 +244,5 @@
 	
 	private void writeSurrogateTerminator() throws IOException {
-		writeLine(SURROGATE_TERMINATOR + nl);
+		writeLine(TERMINATOR_WITH_CONTINUATION + nl);
 	}
 	
Index: /trunk/src/org/expeditee/gui/Frame.java
===================================================================
--- /trunk/src/org/expeditee/gui/Frame.java	(revision 1413)
+++ /trunk/src/org/expeditee/gui/Frame.java	(revision 1414)
@@ -141,4 +141,5 @@
 	private List<Item> _body = new ArrayList<Item>();
 	private List<Item> _bodyHiddenDueToPermissions = new ArrayList<Item>();
+	private List<Item> _surrogates = new ArrayList<Item>();
 
 	// for drawing purposes
@@ -981,4 +982,8 @@
 		change();
 	}
+	
+	public void addToSurrogates(Item surrogate) {
+		this._surrogates.add(surrogate);
+	}
 
 	public void refreshSize()
Index: /trunk/src/org/expeditee/io/DefaultFrameReader.java
===================================================================
--- /trunk/src/org/expeditee/io/DefaultFrameReader.java	(revision 1413)
+++ /trunk/src/org/expeditee/io/DefaultFrameReader.java	(revision 1414)
@@ -181,5 +181,5 @@
 			_DelayedItemTags.add('/');
 			
-			_ItemTagsExt.put(DefaultFrameWriter.ENCRYPTION_LABEL_STR, Item.class.getMethod("setEncryptionLabelOnLoad", pString));
+			_ItemTagsExt.put(DefaultFrameWriter.ENCRYPTION_LABEL_STR, Item.class.getMethod("setEncryptionLabel", pString));
 			
 			_ItemTagsExt.put(DefaultFrameWriter.PLACEHOLDER_STR, Text.class.getMethod("setPlaceholder", pString));
Index: /trunk/src/org/expeditee/items/Item.java
===================================================================
--- /trunk/src/org/expeditee/items/Item.java	(revision 1413)
+++ /trunk/src/org/expeditee/items/Item.java	(revision 1414)
@@ -320,7 +320,7 @@
 	private Item surrogateFor = null;
 	private Set<Item> surrogateItems = new HashSet<Item>();
-	private static Map<String, EncryptionDetail> classicPropertyEncryptionDefault = new HashMap<String, EncryptionDetail>();
+	private static Map<String, EncryptionDetail> primaryPropertyEncryptionDefault = new HashMap<String, EncryptionDetail>();
 	private static Map<String, Boolean> surrogatePropertyInheritanceDefault = new HashMap<String, Boolean>();
-	protected Map<String, EncryptionDetail> classicPropertyEncryption = new HashMap<String, EncryptionDetail>(classicPropertyEncryptionDefault);
+	protected Map<String, EncryptionDetail> primaryPropertyEncryption = new HashMap<String, EncryptionDetail>(primaryPropertyEncryptionDefault);
 	protected Map<String, Boolean> surrogatePropertyInheritance = new HashMap<String, Boolean>(surrogatePropertyInheritanceDefault);
 	
@@ -332,10 +332,10 @@
 				surrogatePropertyInheritanceDefault.put(tag + "", true);
 			}
-			classicPropertyEncryptionDefault.put(tag + "", EncryptionDetail.UnencryptedOnSave);
+			primaryPropertyEncryptionDefault.put(tag + "", EncryptionDetail.UnencryptedOnSave);
 		}
 		
 		for(String tag: DefaultFrameWriter.getItemTagsExt().keySet()) {
 			surrogatePropertyInheritanceDefault.put(tag, true);
-			classicPropertyEncryptionDefault.put(tag, EncryptionDetail.UnencryptedOnSave);
+			primaryPropertyEncryptionDefault.put(tag, EncryptionDetail.UnencryptedOnSave);
 		}
 	}
@@ -436,7 +436,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.DOT_TYPE_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.DOT_TYPE_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.DOT_TYPE_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.DOT_TYPE_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -445,5 +445,5 @@
 	public DotType getDotType() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.DOT_TYPE_STR)) {
-			return this.getClassic().getDotType();
+			return this.getPrimary().getDotType();
 		} else {
 			return _type;
@@ -459,7 +459,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.FILLED_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.DOT_TYPE_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.FILLED_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.FILLED_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -468,5 +468,5 @@
 	public boolean getFilled() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.FILLED_STR)) {
-			return this.getClassic().getFilled();
+			return this.getPrimary().getFilled();
 		} else {
 			return _filled;
@@ -492,7 +492,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.GRADIENT_ANGLE_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.DOT_TYPE_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.GRADIENT_ANGLE_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.GRADIENT_ANGLE_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -506,5 +506,5 @@
 	public double getGradientAngle() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.GRADIENT_ANGLE_STR)) {
-			return this.getClassic().getGradientAngle();
+			return this.getPrimary().getGradientAngle();
 		} else {
 			return _gradientAngle;
@@ -565,7 +565,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.PERMISSION_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.DOT_TYPE_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.PERMISSION_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.PERMISSION_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -574,5 +574,5 @@
 	public PermissionTriple getPermission() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.PERMISSION_STR)) {
-			return this.getClassic().getPermission();
+			return this.getPrimary().getPermission();
 		} else {
 			return _permissionTriple;
@@ -724,5 +724,5 @@
 	public List<String> getAction()	{
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.ACTION_STR)) {
-			return this.getClassic().getAction();
+			return this.getPrimary().getAction();
 		} else {
 			return _actions;
@@ -732,5 +732,5 @@
 	public List<String> getData() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.DATA_STR)) {
-			return this.getClassic().getData();
+			return this.getPrimary().getData();
 		} else {
 			return  _data.getData();
@@ -740,5 +740,5 @@
 	public List<String> getActionCursorEnter() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.ACTION_CURSOR_ENTER_STR)) {
-			return this.getClassic().getActionCursorEnter();
+			return this.getPrimary().getActionCursorEnter();
 		} else {
 			return  _actionCursorEnter;
@@ -748,5 +748,5 @@
 	public List<String> getActionCursorLeave() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.ACTION_CURSOR_LEAVE_STR)) {
-			return this.getClassic().getActionCursorLeave();
+			return this.getPrimary().getActionCursorLeave();
 		} else {
 			return  _actionCursorLeave;
@@ -756,5 +756,5 @@
 	public List<String> getActionEnterFrame() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.ACTION_ENTER_FRAME_STR)) {
-			return this.getClassic().getActionEnterFrame();
+			return this.getPrimary().getActionEnterFrame();
 		} else {
 			return  _actionEnterFrame;
@@ -764,5 +764,5 @@
 	public List<String> getActionLeaveFrame() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.ACTION_LEAVE_FRAME_STR)) {
-			return this.getClassic().getActionLeaveFrame();
+			return this.getPrimary().getActionLeaveFrame();
 		} else {
 			return  _actionLeaveFrame;
@@ -772,5 +772,5 @@
 	public boolean getActionMark() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.ACTION_MARK_STR)) {
-			return this.getClassic().getActionMark();
+			return this.getPrimary().getActionMark();
 		} else {
 			return  _actionMark;
@@ -797,5 +797,5 @@
 	public String getArrow() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.ARROW_STR)) {
-			return this.getClassic().getArrow();
+			return this.getPrimary().getArrow();
 		} else {
 			if (!hasVisibleArrow())
@@ -832,5 +832,5 @@
 	public Colour getBackgroundColor() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.BACKGROUND_COLOR_STR)) {
-			return this.getClassic().getBackgroundColor();
+			return this.getPrimary().getBackgroundColor();
 		} else {
 			return  _backgroundColour;
@@ -840,5 +840,5 @@
 	public Colour getBorderColor() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.BORDER_COLOR_STR)) {
-			return this.getClassic().getBorderColor();
+			return this.getPrimary().getBorderColor();
 		} else {
 			return  _colorBorder;
@@ -917,5 +917,5 @@
 	public Colour getColor() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.COLOR_STR)) {
-			return this.getClassic().getColor();
+			return this.getPrimary().getColor();
 		} else {
 			return  _foregroundColour;
@@ -934,5 +934,5 @@
 	public String getConstraintIDs() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.CONSTRAINT_IDS_STR)) {
-			return this.getClassic().getConstraintIDs();
+			return this.getPrimary().getConstraintIDs();
 		} else {
 			if (_constraints == null || _constraints.size() == 0)
@@ -971,5 +971,5 @@
 	public String getDateCreated() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.DATE_CREATED_STR)) {
-			return this.getClassic().getDateCreated();
+			return this.getPrimary().getDateCreated();
 		} else {
 			return  _creationDate;
@@ -979,5 +979,5 @@
 	public Colour getFillColor() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.FILL_COLOR_STR)) {
-			return this.getClassic().getFillColor();
+			return this.getPrimary().getFillColor();
 		} else {
 			return  _fillColour;
@@ -987,5 +987,5 @@
 	public String getFillPattern() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.FILL_PATTERN_STR)) {
-			return this.getClassic().getFillPattern();
+			return this.getPrimary().getFillPattern();
 		} else {
 			return  _fillPattern;
@@ -1008,5 +1008,5 @@
 	public boolean getHighlight() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.HIGHLIGHT_STR)) {
-			return this.getClassic().getHighlight();
+			return this.getPrimary().getHighlight();
 		} else {
 			return  _highlight;
@@ -1040,5 +1040,5 @@
 	public String getLineIDs() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.LINE_IDS_STR)) {
-			return this.getClassic().getLineIDs();
+			return this.getPrimary().getLineIDs();
 		} else {
 			String lineID = null;
@@ -1057,5 +1057,5 @@
 	public int[] getLinePattern() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.LINE_PATTERN_STR)) {
-			return this.getClassic().getLinePattern();
+			return this.getPrimary().getLinePattern();
 		} else {
 			return  _linePattern;
@@ -1083,5 +1083,5 @@
 	public String getLink()	{
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.LINK_STR)) {
-			return this.getClassic().getLink();
+			return this.getPrimary().getLink();
 		} else {
 			return  _link;
@@ -1091,5 +1091,5 @@
 	public String getFormula() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.FORMULA_STR)) {
-			return this.getClassic().getFormula();
+			return this.getPrimary().getFormula();
 		} else {
 			return  _formula;
@@ -1112,7 +1112,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.FORMULA_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.FORMULA_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.FORMULA_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.FORMULA_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -1127,5 +1127,5 @@
 	public String getLinkFrameset()	{
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.LINK_FRAMESET_STR)) {
-			return this.getClassic().getLinkFrameset();
+			return this.getPrimary().getLinkFrameset();
 		} else {
 			return  _link_frameset;
@@ -1135,5 +1135,5 @@
 	public boolean getLinkMark() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.LINK_MARK_STR)) {
-			return this.getClassic().getLinkMark();
+			return this.getPrimary().getLinkMark();
 		} else {
 			return  _linkMark;
@@ -1143,5 +1143,5 @@
 	public String getLinkTemplate()	{
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.LINK_TEMPLATE_STR)) {
-			return this.getClassic().getLinkTemplate();
+			return this.getPrimary().getLinkTemplate();
 		} else {
 			return  _link_template;
@@ -1156,5 +1156,5 @@
 	public String getOwner() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.OWNER_STR)) {
-			return this.getClassic().getOwner();
+			return this.getPrimary().getOwner();
 		} else {
 			return  _owner;
@@ -1276,5 +1276,5 @@
 	public final Point getPosition() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.POSITION_STR)) {
-			return this.getClassic().getPosition();
+			return this.getPrimary().getPosition();
 		} else {
 			return new Point(getX(), getY());
@@ -1306,5 +1306,5 @@
 	public String getTypeAndID() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.TYPE_AND_ID_STR)) {
-			return this.getClassic().getTypeAndID();
+			return this.getPrimary().getTypeAndID();
 		} else {
 			return "T " + getID();
@@ -1314,5 +1314,5 @@
 	public Integer getWidthToSave()	{
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.WIDTH_TO_SAVE_STR)) {
-			return this.getClassic().getWidthToSave();
+			return this.getPrimary().getWidthToSave();
 		} else {
 			return getWidth();
@@ -1322,5 +1322,5 @@
 	public Integer getMinWidthToSave() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.MIN_WIDTH_TO_SAVE_STR)) {
-			return this.getClassic().getMinWidthToSave();
+			return this.getPrimary().getMinWidthToSave();
 		} else {
 			return getMinWidth();
@@ -1349,5 +1349,5 @@
 	public int getX() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.POSITION_STR)) {
-			return this.getClassic().getX();
+			return this.getPrimary().getX();
 		} else {
 			return Math.round(_x);
@@ -1362,5 +1362,5 @@
 	public int getY() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.POSITION_STR)) {
-			return this.getClassic().getY();
+			return this.getPrimary().getY();
 		} else {
 			return Math.round(_y);
@@ -1521,7 +1521,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.TOOLTIP_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.TOOLTIP_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.TOOLTIP_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.TOOLTIP_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -1530,5 +1530,5 @@
 	public List<String> getTooltip() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.TOOLTIP_STR)) {
-			return this.getClassic().getTooltip();
+			return this.getPrimary().getTooltip();
 		} else {
 			return _tooltip.asStringList();
@@ -1825,7 +1825,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.ACTION_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.ACTION_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.ACTION_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.ACTION_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -1845,7 +1845,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.DATA_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.DATA_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.DATA_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.DATA_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -1861,7 +1861,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.ACTION_CURSOR_ENTER_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.ACTION_CURSOR_ENTER_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.ACTION_CURSOR_ENTER_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.ACTION_CURSOR_ENTER_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -1873,7 +1873,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.ACTION_CURSOR_LEAVE_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.ACTION_CURSOR_LEAVE_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.ACTION_CURSOR_LEAVE_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.ACTION_CURSOR_LEAVE_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -1885,7 +1885,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.ACTION_ENTER_FRAME_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.ACTION_ENTER_FRAME_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.ACTION_ENTER_FRAME_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.ACTION_ENTER_FRAME_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -1897,7 +1897,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.ACTION_LEAVE_FRAME_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.ACTION_LEAVE_FRAME_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.ACTION_LEAVE_FRAME_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.ACTION_LEAVE_FRAME_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -1912,7 +1912,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.ACTION_MARK_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.ACTION_MARK_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.ACTION_MARK_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.ACTION_MARK_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -1945,7 +1945,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.ARROW_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.ARROW_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.ARROW_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.ARROW_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -1983,7 +1983,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.BACKGROUND_COLOR_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.BACKGROUND_COLOR_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.BACKGROUND_COLOR_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.BACKGROUND_COLOR_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -1998,7 +1998,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.BORDER_COLOR_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.BORDER_COLOR_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.BORDER_COLOR_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.BORDER_COLOR_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2037,7 +2037,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.CONSTRAINT_IDS_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.CONSTRAINT_IDS_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.CONSTRAINT_IDS_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.CONSTRAINT_IDS_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2066,7 +2066,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.DATE_CREATED_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.DATE_CREATED_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.DATE_CREATED_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.DATE_CREATED_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2089,7 +2089,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.FILL_COLOR_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.FILL_COLOR_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.FILL_COLOR_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.FILL_COLOR_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2110,7 +2110,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.GRADIENT_COLOR_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.GRADIENT_COLOR_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.GRADIENT_COLOR_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.GRADIENT_COLOR_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2119,5 +2119,5 @@
 	public Colour getGradientColor() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.GRADIENT_COLOR_STR)) {
-			return this.getClassic().getGradientColor();
+			return this.getPrimary().getGradientColor();
 		} else {
 			return _gradientColour;
@@ -2132,7 +2132,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.FILL_PATTERN_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.FILL_PATTERN_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.FILL_PATTERN_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.FILL_PATTERN_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2154,7 +2154,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.HIGHLIGHT_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.HIGHLIGHT_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.HIGHLIGHT_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.HIGHLIGHT_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2173,7 +2173,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.TYPE_AND_ID_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.TYPE_AND_ID_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.TYPE_AND_ID_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.TYPE_AND_ID_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2189,7 +2189,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.LINE_IDS_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.LINE_IDS_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.LINE_IDS_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.LINE_IDS_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2204,7 +2204,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.LINE_PATTERN_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.LINE_PATTERN_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.LINE_PATTERN_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.LINE_PATTERN_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2244,7 +2244,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.LINK_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.LINK_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.LINK_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.LINK_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2256,7 +2256,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.LINK_HISTORY_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.LINK_HISTORY_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.LINK_HISTORY_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.LINK_HISTORY_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2265,5 +2265,5 @@
 	public boolean getLinkHistory() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.LINK_HISTORY_STR)) {
-			return this.getClassic().getLinkHistory();
+			return this.getPrimary().getLinkHistory();
 		} else {
 			return _linkHistory;
@@ -2282,7 +2282,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.LINK_FRAMESET_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.LINK_FRAMESET_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.LINK_FRAMESET_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.LINK_FRAMESET_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2297,7 +2297,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.LINK_MARK_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.LINK_MARK_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.LINK_MARK_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.LINK_MARK_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2314,7 +2314,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.LINK_TEMPLATE_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.LINK_TEMPLATE_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.LINK_TEMPLATE_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.LINK_TEMPLATE_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2348,7 +2348,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.OWNER_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.OWNER_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.OWNER_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.OWNER_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2539,7 +2539,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.POSITION_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.POSITION_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.POSITION_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.POSITION_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2583,7 +2583,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.THICKNESS_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.THICKNESS_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.THICKNESS_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.THICKNESS_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2641,5 +2641,5 @@
 	public float getThickness()	{
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.THICKNESS_STR)) {
-			return this.getClassic().getThickness();
+			return this.getPrimary().getThickness();
 		} else {
 			return _thickness;
@@ -2695,7 +2695,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.POSITION_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.POSITION_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.POSITION_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.POSITION_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2713,7 +2713,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.POSITION_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.POSITION_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.POSITION_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.POSITION_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -3525,7 +3525,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.ANCHOR_LEFT_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.ANCHOR_LEFT_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.ANCHOR_LEFT_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.ANCHOR_LEFT_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -3541,7 +3541,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.ANCHOR_RIGHT_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.ANCHOR_RIGHT_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.ANCHOR_RIGHT_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.ANCHOR_RIGHT_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -3557,7 +3557,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.ANCHOR_TOP_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.ANCHOR_TOP_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.ANCHOR_TOP_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.ANCHOR_TOP_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -3574,7 +3574,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.ANCHOR_BOTTOM_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.ANCHOR_BOTTOM_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.ANCHOR_BOTTOM_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.ANCHOR_BOTTOM_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -3596,5 +3596,5 @@
 	public Integer getAnchorLeft() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.ANCHOR_LEFT_STR)) {
-			return this.getClassic().getAnchorLeft();
+			return this.getPrimary().getAnchorLeft();
 		} else {
 			return _anchoring.getLeftAnchor();
@@ -3604,5 +3604,5 @@
 	public Integer getAnchorRight() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.ANCHOR_RIGHT_STR)) {
-			return this.getClassic().getAnchorRight();
+			return this.getPrimary().getAnchorRight();
 		} else {
 			return _anchoring.getRightAnchor();
@@ -3612,5 +3612,5 @@
 	public Integer getAnchorTop() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.ANCHOR_TOP_STR)) {
-			return this.getClassic().getAnchorTop();
+			return this.getPrimary().getAnchorTop();
 		} else {
 			return _anchoring.getTopAnchor();
@@ -3620,5 +3620,5 @@
 	public Integer getAnchorBottom() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.ANCHOR_BOTTOM_STR)) {
-			return this.getClassic().getAnchorBottom();
+			return this.getPrimary().getAnchorBottom();
 		} else {
 			return _anchoring.getBottomAnchor();
@@ -3628,5 +3628,5 @@
 	public String getText() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.TEXT_STR)) {
-			return this.getClassic().getText();
+			return this.getPrimary().getText();
 		} else {
 			return "@" + getClass().getSimpleName() + ":" + getID();
@@ -3868,5 +3868,5 @@
 	public int getMagnetizedItemLeft() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.MAGNETIZED_ITEM_LEFT_STR)) {
-			return this.getClassic().getMagnetizedItemLeft();
+			return this.getPrimary().getMagnetizedItemLeft();
 		} else {
 			if(_magnetizedItemLeft != null) return _magnetizedItemLeft.getID();
@@ -3884,7 +3884,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.MAGNETIZED_ITEM_LEFT_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.MAGNETIZED_ITEM_LEFT_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.MAGNETIZED_ITEM_LEFT_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.MAGNETIZED_ITEM_LEFT_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -3893,5 +3893,5 @@
 	public int getMagnetizedItemRight() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.MAGNETIZED_ITEM_RIGHT_STR)) {
-			return this.getClassic().getMagnetizedItemRight();
+			return this.getPrimary().getMagnetizedItemRight();
 		} else {
 			if(_magnetizedItemRight != null) return _magnetizedItemRight.getID();
@@ -3909,7 +3909,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.MAGNETIZED_ITEM_RIGHT_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.MAGNETIZED_ITEM_RIGHT_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.MAGNETIZED_ITEM_RIGHT_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.MAGNETIZED_ITEM_RIGHT_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -3918,5 +3918,5 @@
 	public int getMagnetizedItemTop() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.MAGNETIZED_ITEM_TOP_STR)) {
-			return this.getClassic().getMagnetizedItemTop();
+			return this.getPrimary().getMagnetizedItemTop();
 		} else {
 			if(_magnetizedItemTop != null) return _magnetizedItemTop.getID();
@@ -3934,7 +3934,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.MAGNETIZED_ITEM_TOP_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.MAGNETIZED_ITEM_TOP_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.MAGNETIZED_ITEM_TOP_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.MAGNETIZED_ITEM_TOP_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -3943,5 +3943,5 @@
 	public int getMagnetizedItemBottom() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.MAGNETIZED_ITEM_BOTTOM_STR)) {
-			return this.getClassic().getMagnetizedItemBottom();
+			return this.getPrimary().getMagnetizedItemBottom();
 		} else {
 			if(_magnetizedItemBottom != null) return _magnetizedItemBottom.getID();
@@ -3959,7 +3959,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.MAGNETIZED_ITEM_BOTTOM_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.MAGNETIZED_ITEM_BOTTOM_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.MAGNETIZED_ITEM_BOTTOM_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.MAGNETIZED_ITEM_BOTTOM_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -3968,5 +3968,5 @@
 	public String getEncryptionLabel() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.ENCRYPTION_LABEL_STR)) {
-			return this.getClassic().getEncryptionLabel();
+			return this.getPrimary().getEncryptionLabel();
 		} else {
 			return _encryptionLabel;
@@ -3976,67 +3976,8 @@
 	public void setEncryptionLabel(String label) {
 		this._encryptionLabel = label;
-		if (this.getSurrogates().isEmpty()) {
-			Item copy = this.copy();
-			if (copy instanceof Text) {	copy.setText("Encrypted"); }
-			this.addToSurrogates(copy);
-		}
-		
-		
-		
-		for (Character tag: DefaultFrameWriter.getItemTags().keySet()) {
-			if (tag == 'S') {
-				classicPropertyEncryption.put(tag + "", EncryptionDetail.UnencryptedOnSave);
-			} else {
-				classicPropertyEncryption.put(tag + "", EncryptionDetail.ReencryptOnSave);
-			}
-			
-			for (Item surrogate: this.getSurrogates()) {
-				if (tag == 'T') {
-					surrogate.surrogatePropertyInheritance.put(tag + "", false);
-				} else {
-					surrogate.surrogatePropertyInheritance.put(tag + "", true);
-				}
-			}
-		}
-		
-		for (String tag: DefaultFrameWriter.getItemTagsExt().keySet()) {
-			if (tag == "_el") {
-				classicPropertyEncryption.put(tag, EncryptionDetail.UnencryptedOnSave);
-			} else {
-				classicPropertyEncryption.put(tag, EncryptionDetail.ReencryptOnSave);
-			}
-			
-			for (Item surrogate: this.getSurrogates()) {
-				surrogate.surrogatePropertyInheritance.put(tag + "", true);
-			}
-		}
-		
-/*		if (isSurrogate()) {
-			surrogatePropertyInheritance.put(DefaultFrameWriter.ENCRYPTION_LABEL_STR, false);
-			Item classic = getClassic();
-			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.ENCRYPTION_LABEL_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.ENCRYPTION_LABEL_STR, EncryptionDetail.InheritanceCheckOnSave);
-			}
-		}*/
-	}
-	
-	public void setEncryptionLabelOnLoad(String label) {
-		this._encryptionLabel = label;
-		
-		for (Character tag: DefaultFrameWriter.getItemTags().keySet()) {
-			if (tag == 'S') {
-				classicPropertyEncryption.put(tag + "", EncryptionDetail.UnencryptedOnSave);
-			} else {
-				classicPropertyEncryption.put(tag + "", EncryptionDetail.ReencryptOnSave);
-			}
-		}
-		
-		for (String tag: DefaultFrameWriter.getItemTagsExt().keySet()) {
-			if (tag == "_el") {
-				classicPropertyEncryption.put(tag, EncryptionDetail.UnencryptedOnSave);
-			} else {
-				classicPropertyEncryption.put(tag, EncryptionDetail.ReencryptOnSave);
-			}
-		}
+		this.getSurrogates().clear();
+		Item copy = this.copy();
+		if (copy instanceof Text) {	copy.setText("Encrypted"); }
+		this.addToSurrogates(copy);
 	}
 
@@ -4096,6 +4037,6 @@
 	}
 		
-	private void setAsSurrogateFor(Item classic) {
-		this.surrogateFor = classic;
+	private void setAsSurrogateFor(Item primary) {
+		this.surrogateFor = primary;
 	}
 
@@ -4103,4 +4044,23 @@
 		this.surrogateItems.add(surrogate);
 		surrogate.setAsSurrogateFor(this);
+		
+		for (Character tag: DefaultFrameWriter.getItemTags().keySet()) {
+			if (tag == 'T') {
+				primaryPropertyEncryption.put(tag + "", EncryptionDetail.ReencryptOnSave);
+			} else {
+				primaryPropertyEncryption.put(tag + "", EncryptionDetail.UnencryptedOnSave);
+			}
+					
+			if (tag == 'T' || tag == 'S') {
+				surrogate.surrogatePropertyInheritance.put(tag + "", false);
+			} else {
+				surrogate.surrogatePropertyInheritance.put(tag + "", true);
+			}
+		}
+		
+		for (String tag: DefaultFrameWriter.getItemTagsExt().keySet()) {
+			primaryPropertyEncryption.put(tag, EncryptionDetail.UnencryptedOnSave);
+			surrogate.surrogatePropertyInheritance.put(tag + "", true);
+		}
 	}
 	
@@ -4109,10 +4069,10 @@
 	}
 	
-	public Item getClassic() {
+	public Item getPrimary() {
 		return this.surrogateFor;
 	}
 	
 	public EncryptionDetail getEncryptionDetailForTag(String tag) {
-		EncryptionDetail encryptionDetail = classicPropertyEncryption.get(tag);
+		EncryptionDetail encryptionDetail = primaryPropertyEncryption.get(tag);
 		
 		if (encryptionDetail == null) {
@@ -4124,5 +4084,5 @@
 	
 	public void setEncryptionDetailForTag(String tag, EncryptionDetail encryptionDetail) {
-		classicPropertyEncryption.put(tag, encryptionDetail);
+		primaryPropertyEncryption.put(tag, encryptionDetail);
 	}
 	
@@ -4133,11 +4093,11 @@
 
 	/**
-	 * If when setting a property, we find that the classic has a undeciphered value, when we must containue using that undeciphered value
+	 * If when setting a property, we find that the primary has a undeciphered value, when we must containue using that undeciphered value
 	 * when eventually saving.
 	 * @return
 	 */
 	protected boolean subjectToInheritanceCheckOnSave(String tag) {
-		if (getClassic() == null) return false;
-		return getClassic().classicPropertyEncryption.get(tag) != EncryptionDetail.UseUndecipheredValueOnSave;
+		if (getPrimary() == null) return false;
+		return getPrimary().primaryPropertyEncryption.get(tag) != EncryptionDetail.UseUndecipheredValueOnSave;
 	}
 }
Index: /trunk/src/org/expeditee/items/Text.java
===================================================================
--- /trunk/src/org/expeditee/items/Text.java	(revision 1413)
+++ /trunk/src/org/expeditee/items/Text.java	(revision 1414)
@@ -407,7 +407,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.WIDTH_TO_SAVE_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.WIDTH_TO_SAVE_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.WIDTH_TO_SAVE_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.WIDTH_TO_SAVE_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -430,7 +430,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.MIN_WIDTH_TO_SAVE_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.MIN_WIDTH_TO_SAVE_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.MIN_WIDTH_TO_SAVE_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.MIN_WIDTH_TO_SAVE_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -451,5 +451,5 @@
 	public Integer getWidth() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.WIDTH_TO_SAVE_STR)) {
-			return this.getClassic().getWidth();
+			return this.getPrimary().getWidth();
 		} else {
 			return _width;
@@ -467,5 +467,5 @@
 	public Integer getMinWidth() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.MIN_WIDTH_TO_SAVE_STR)) {
-			return this.getClassic().getMinWidth();
+			return this.getPrimary().getMinWidth();
 		} else {
 			return _minWidth;
@@ -483,5 +483,5 @@
 	public Colour getHighlightColor() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.HIGHLIGHT_STR)) {
-			return this.getClassic().getHighlightColor();
+			return this.getPrimary().getHighlightColor();
 		} else {
 			return _highlightColour;
@@ -511,7 +511,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.JUSTIFICATION_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.JUSTIFICATION_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.JUSTIFICATION_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.JUSTIFICATION_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -528,5 +528,5 @@
 	public Justification getJustification() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.JUSTIFICATION_STR)) {
-			return ((Text) this.getClassic()).getJustification();
+			return ((Text) this.getPrimary()).getJustification();
 		} else {
 			if (_justification == null || _justification.equals(Justification.left)) {
@@ -692,7 +692,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.TEXT_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.TEXT_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.TEXT_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.TEXT_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -1330,7 +1330,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.FONT_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.FONT_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.FONT_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.FONT_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -1344,5 +1344,5 @@
 	public Font getFont() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.FONT_STR)) {
-			return ((Text) this.getClassic()).getFont();
+			return ((Text) this.getPrimary()).getFont();
 		} else {
 			return _font;
@@ -1508,5 +1508,5 @@
 	public String getText() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.TEXT_STR)) {
-			return this.getClassic().getText();
+			return this.getPrimary().getText();
 		} else {
 			return _text.toString();
@@ -1552,7 +1552,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.SPACING_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.SPACING_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.SPACING_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.SPACING_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -1566,5 +1566,5 @@
 	public float getSpacing() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.SPACING_STR)) {
-			return ((Text) this.getClassic()).getSpacing();
+			return ((Text) this.getPrimary()).getSpacing();
 		} else {
 			return _spacing;
@@ -1593,7 +1593,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.WORD_SPACING_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.WORD_SPACING_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.WORD_SPACING_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.WORD_SPACING_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -1602,5 +1602,5 @@
 	public int getWordSpacing() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.WORD_SPACING_STR)) {
-			return ((Text) this.getClassic()).getWordSpacing();
+			return ((Text) this.getPrimary()).getWordSpacing();
 		} else {
 			return _word_spacing;
@@ -1624,7 +1624,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.LETTER_SPACING_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.LETTER_SPACING_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.LETTER_SPACING_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.LETTER_SPACING_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -1637,5 +1637,5 @@
 	public float getLetterSpacing() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.LETTER_SPACING_STR)) {
-			return ((Text) this.getClassic()).getLetterSpacing();
+			return ((Text) this.getPrimary()).getLetterSpacing();
 		} else {
 			return _letter_spacing;
@@ -1648,7 +1648,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.INITIAL_SPACING_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.INITIAL_SPACING_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.INITIAL_SPACING_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.INITIAL_SPACING_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -1657,5 +1657,5 @@
 	public float getInitialSpacing() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.INITIAL_SPACING_STR)) {
-			return ((Text) this.getClassic()).getInitialSpacing();
+			return ((Text) this.getPrimary()).getInitialSpacing();
 		} else {
 			return _initial_spacing;
@@ -2864,7 +2864,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.ANCHOR_LEFT_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.ANCHOR_LEFT_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.ANCHOR_LEFT_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.ANCHOR_LEFT_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2898,7 +2898,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.ANCHOR_RIGHT_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.ANCHOR_RIGHT_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.ANCHOR_RIGHT_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.ANCHOR_RIGHT_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2939,7 +2939,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.ANCHOR_TOP_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.ANCHOR_TOP_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.ANCHOR_TOP_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.ANCHOR_TOP_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -2985,7 +2985,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.ANCHOR_BOTTOM_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.ANCHOR_BOTTOM_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.ANCHOR_BOTTOM_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.ANCHOR_BOTTOM_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -3146,5 +3146,5 @@
 	public boolean getAutoWrap() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.AUTO_WRAP_TO_SAVE_STR)) {
-			return ((Text) this.getClassic()).getAutoWrap();
+			return ((Text) this.getPrimary()).getAutoWrap();
 		} else {
 			return _autoWrap;
@@ -3166,7 +3166,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.AUTO_WRAP_TO_SAVE_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.AUTO_WRAP_TO_SAVE_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.AUTO_WRAP_TO_SAVE_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.AUTO_WRAP_TO_SAVE_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -3294,5 +3294,5 @@
 	public Integer getMask() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.MASK_STR)) {
-			return ((Text) this.getClassic()).getMask();
+			return ((Text) this.getPrimary()).getMask();
 		} else {
 			return _mask;
@@ -3305,7 +3305,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.MASK_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.MASK_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.MASK_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.MASK_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -3314,5 +3314,5 @@
 	public String getPlaceholder() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.PLACEHOLDER_STR)) {
-			return ((Text) this.getClassic()).getPlaceholder();
+			return ((Text) this.getPrimary()).getPlaceholder();
 		} else {
 			if (_placeholder == null || _placeholder.length() == 0) {
@@ -3328,7 +3328,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.PLACEHOLDER_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.PLACEHOLDER_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.PLACEHOLDER_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.PLACEHOLDER_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -3347,5 +3347,5 @@
 	public boolean isSingleLineOnly() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.SINGLE_LINE_ONLY_STR)) {
-			return ((Text) this.getClassic()).isSingleLineOnly();
+			return ((Text) this.getPrimary()).isSingleLineOnly();
 		} else {
 			return _singleLine;
@@ -3358,7 +3358,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.SINGLE_LINE_ONLY_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.SINGLE_LINE_ONLY_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.SINGLE_LINE_ONLY_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.SINGLE_LINE_ONLY_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
@@ -3367,5 +3367,5 @@
 	public int getTabIndex() {
 		if (isSurrogate() && surrogatePropertyInheritance.get(DefaultFrameWriter.TAB_INDEX_STR)) {
-			return ((Text) this.getClassic()).getTabIndex();
+			return ((Text) this.getPrimary()).getTabIndex();
 		} else {
 			return this._tabIndex;
@@ -3378,7 +3378,7 @@
 		if (isSurrogate()) {
 			surrogatePropertyInheritance.put(DefaultFrameWriter.TAB_INDEX_STR, false);
-			Item classic = getClassic();
+			Item primary = getPrimary();
 			if (subjectToInheritanceCheckOnSave(DefaultFrameWriter.TAB_INDEX_STR)) {
-				classic.classicPropertyEncryption.put(DefaultFrameWriter.TAB_INDEX_STR, EncryptionDetail.InheritanceCheckOnSave);
+				primary.primaryPropertyEncryption.put(DefaultFrameWriter.TAB_INDEX_STR, EncryptionDetail.InheritanceCheckOnSave);
 			}
 		}
